
Foreman - Bug #29006

Network mask shouldn't be required in API docs

02/13/2020 05:16 PM - Oleh Fedorenko

Status: Closed   

Priority: Normal   

Assignee: Oleh Fedorenko   

Category: Network   

Target version:    

Difficulty: easy Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7437

  

Description

In UI we do require network mask for IPv4 subnets (which is also autofilled if network prefix is provided), but not for IPv6.

Also, API controller accepts 'cidr' (i.e. prefix) parameter which is not documented.

Associated revisions

Revision 8695fba1 - 02/17/2020 08:52 AM - Oleh Fedorenko

Fixes #29006 - Netmask is optional in API docs

History

#1 - 02/13/2020 09:20 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7437 added

#2 - 02/17/2020 08:52 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#3 - 02/17/2020 09:01 AM - Oleh Fedorenko

- Status changed from Ready For Testing to Closed

Applied in changeset 8695fba1c77b27389405d542e1bdc524d49300dc.
